Loading...
Searching...
No Matches
coap_pki_key_pkcs11_t Struct Reference
Application API » DTLS Support

The structure that holds the PKI PKCS11 definitions. More...

`#include <coap_dtls.h>`

## Data Fields

const char * | ca
| pkcs11: URI for Common CA Certificate
const char * | public_cert
| pkcs11: URI for Public Cert
const char * | private_key
| pkcs11: URI for Private Key
const char * | user_pin
| User pin to access PKCS11.

## Detailed Description

The structure that holds the PKI PKCS11 definitions.

Definition at line 240 of file coap_dtls.h.

## Field Documentation

## ca

const char* coap_pki_key_pkcs11_t::ca

pkcs11: URI for Common CA Certificate

Definition at line 241 of file coap_dtls.h.

## private_key

const char* coap_pki_key_pkcs11_t::private_key

pkcs11: URI for Private Key

Definition at line 243 of file coap_dtls.h.

## public_cert

const char* coap_pki_key_pkcs11_t::public_cert

pkcs11: URI for Public Cert

Definition at line 242 of file coap_dtls.h.

## user_pin

const char* coap_pki_key_pkcs11_t::user_pin

User pin to access PKCS11.

If NULL, then pin-value= parameter must be set in pkcs11: URI as a query.

Definition at line 244 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h